Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Überprüfung von Linienverbindungen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Überprüfung von Linienverbindungen (678 mal gelesen)
CadTee
Mitglied



Sehen Sie sich das Profil von CadTee an!   Senden Sie eine Private Message an CadTee  Schreiben Sie einen Gästebucheintrag für CadTee

Beiträge: 13
Registriert: 08.12.2004

ACad 2004 ENG/ XP SP 1a
P4 (2,6 GHz), Onboard Intel Grafik

erstellt am: 08. Feb. 2005 19:53    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Zusammen!

Da ich als Umsteiger noch nicht so ACAD firm bin, folgende Frage.Gibt's unter ACAd die Möglichkeit eine Zeichnung auf
korrekte Linienverbindungen überprüfen zu lassen, bzw. dies zu korrigieren?
Gibt's da Toleranzeinstellungen mit denen ich das steuern könnte?Ich möchte einfach nur, dass Linienenden zusammenfallen,bzw. dass das Linienende genau auf der senkrecht verlaufenden Linie endet.

Besten Dank und 'n schönen Abend

C.


Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

roland3
Mitglied
Tischler

Sehen Sie sich das Profil von roland3 an!   Senden Sie eine Private Message an roland3  Schreiben Sie einen Gästebucheintrag für roland3

Beiträge: 8
Registriert: 30.01.2005

erstellt am: 08. Feb. 2005 20:35    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für CadTee 10 Unities + Antwort hilfreich

hallo,
wenn ofang und otrack an sind, kannst du davon ausgehen, daß der punktfang immer korrekt ist.

roland

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Proxy
Ehrenmitglied
Stateless-DHCP v6-Paketfragmentierer


Sehen Sie sich das Profil von Proxy an!   Senden Sie eine Private Message an Proxy  Schreiben Sie einen Gästebucheintrag für Proxy

Beiträge: 1627
Registriert: 13.11.2003

Tastaturen, Mäuse,
Pladden, Monitore, ...

erstellt am: 08. Feb. 2005 20:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für CadTee 10 Unities + Antwort hilfreich

Den allmächtigen Objektfang immer sinnvoll benutzen !

Beispiel: mit Nächster einfach die ganze DWG mit "Freihand"-Linine zumüllen, da nehme ich doch gleich CorelDraw oder PhotoShop. Ansonsten wenn die Linie sich nicht schneiden "Schnittpunkt" dann gibt es sehr viele mathematische Möglichkeiten diese zu verbinden ebenso auch wenn sie einen Schnittpunkt zwar haben jedoch eine Überlappung da ist. Standardmässig haben Polylinien eine Option beim Befehl "._pedit" zu "joinen" jedoch ist es dann wohl nicht immer dein Fall. Ansonsten die Befehle dehen, stutzen etc. benutzen. Kannst auch deine Aufgabenstellung etwas eingrenzen aus der mathematischen Sicht ?

z.B. über ein Fuzzy-Polyjoin könnte so ablaufen :

Code:

;;; PLJOINFUZZ.LSP
;;; Joins lines, arcs and polylines using a fuzz distance
;;; If only one object is selected it tries to join to all objects that are possible
;;; By Jimmy Bergmark
;;; Copyright (C) 2003-2004 JTB World, All Rights Reserved
;;; Website: www.jtbworld.com
;;; E-mail: info@jtbworld.com
;;; Tested on AutoCAD 2002,2004 and 2005
;;; Latest revision made 2004-11-11
;;; Minor code cosmetic change made 2004-11-13
;;; Bug corrected 2004-12-23

(defun c:jf () (c:pljoinfuzz)) ; this line can be commented out if there is an existing command called jf
(defun c:pljoinfuzz (/ ss1 entLine objType oldcmdecho oldpeditaccept fuzz okObjects)
(setq oldcmdecho (getvar "cmdecho"))
(setq oldpeditaccept (getvar "PEDITACCEPT"))
(setvar "cmdecho" 0)
(setq A2k4 (>= (substr (getvar "ACADVER") 1 2) "16"))
(if A2k4 (setvar "PEDITACCEPT" 0))
(setq okObjects '((0 . "LINE,ARC,POLYLINE,LWPOLYLINE")))
(princ "\nSelect object to join: ")
(setq ss1 (ssget okObjects))
(setq fuzz (getdist "\nFuzz distance <0>: "))
(if (= fuzz nil) (setq fuzz 0))
(if (/= ss1 nil)
(progn
(setq objType (cdr (assoc 0 (entget (setq entLine (ssname ss1 0))))))
(if (= (sslength ss1) 1) (setq ss1 (ssget "X" okObjects)))
(if (member objType '("LINE" "ARC"))
(command "_.pedit" "_M" ss1 "" "_Y" "_J" "_J" "_B" fuzz "")
(command "_.pedit" "_M" ss1 "" "_J" "_J" "_B" fuzz "")
)
)
)
(setvar "cmdecho" oldcmdecho)
(if A2k4 (setvar "PEDITACCEPT" oldpeditaccept))
(princ)
)


oder ein anderes Beispiel ist von Black-CAD PEDIT3D.LSP.


Ebenfalls ist es auch möglich die Lücken optisch anzuzeigen jedoch ist dann Handarbeit angesagt.

Code:

; Locates and marks ends of arcs, lines, and plines that are close
; but not exactly coincident.
; Gaps are marked by drawing circles on the current layer.
; Set to the layer you want the marker circles on and run
; Command: GAPS
; You can select part of a drawing to check or press ENTER to check
; The whole drawing.
; 9/27/93 LW, Robert McNeel & Associates

; These are distances to control how the gaps are located
(setq gaplimit 5.0) ; Gaps less than this, but more than fluff are marked
(setq circlesize 2.0) ; Size of circle to mark gaps with
(setq fluff 1.0) ; Gaps less than this are not marked
(defun dxf (x e) (cdr (assoc x e)))
; Removes entities other than ine, pline, arc from a selection set
(defun checkss (ss / i)
(setq i (sslength ss))
(while (> i 0)
(setq i (1- i))
(setq ent (entget (ssname ss i)))
(or
(= "LINE" (dxf 0 ent))
(= "POLYLINE" (dxf 0 ent))
(= "POLYLINE" (dxf 0 ent))
(= "ARC" (dxf 0 ent))
(ssdel (ssname ss i) ss)
)
)
(if (> (sslength ss) 0)
ss
)
)

; Returns the endpoints of lines, arcs and pines
(defun endsofent (ent / v e1 e2)
(cond
((= "LINE" (dxf 0 ent))
(list (dxf 10 ent) (dxf 11 ent))
)
((= "ARC" (dxf 0 ent))
(list
(polar (dxf 10 ent) (dxf 50 ent) (dxf 40 ent))
(polar (dxf 10 ent) (dxf 51 ent) (dxf 40 ent))
)
)
((= "*POLYLINE" (dxf 0 ent))
(setq v (entget (entnext (dxf -1 ent))))
(setq e1 (dxf 10 v))
(while (/= "SEQEND" (dxf 0 v))
(setq e2 (dxf 10 v))
(setq v (entget (entnext (dxf -1 v))))
)
(list e1 e2)
)
;|((= "*POLYLINE" (dxf 0 ent))
(setq v (entget (entnext (dxf -1 ent))))
(setq e1 (dxf 10 v))
(while (/= "SEQEND" (dxf 0 v))
(setq e2 (dxf 10 v))
(setq v (entget (entnext (dxf -1 v))))
)
(list e1 e2)
)|;
)
)
; gets a selection set of all entities near a point
(defun ssat (pt dist)
(ssget "_C"
(list (- (car pt) dist) (- (cadr pt) dist))
(list (+ (car pt) dist) (+ (cadr pt) dist))
)
)
; Looks through a selection set and finds ends near but not at ends
; of other entities
(defun markgaps (ss / i ends)
(setq i (sslength ss))
(while (> i 0)
(setq i (1- i))
(setq ent (entget (ssname ss i)))
(setq ends (endsofent ent))
; (princ "\n")
; (princ (car ends))
; (princ " -- ")
; (princ (cadr ends))
(endsnear (car ends) gaplimit)
(endsnear (cadr ends) gaplimit)
)
)
(defun circle (pt r)
(setvar "cmdecho" 0)
(command "_point" pt)
;;;(command "_circle" pt r)
(setvar "cmdecho" 1)
)
; Finds the entities near a point and marks their ends if they
; are also near the point
(defun endsnear ( pt dist / ent ends)
(if (setq sse (ssat pt dist))
(progn
(setq j (sslength sse))
(while (> j 0)
(setq j (1- j))
(setq ent (entget (ssname sse j)))
(if
(setq ends (endsofent ent))
(progn
(setq d (distance (car ends) pt))
(if (< 0.0 d gaplimit)
(circle pt circlesize)
)
(setq d (distance (cadr ends) pt))
(if (< 0.0 d gaplimit)
(circle pt circlesize)
)
)
)
)
)
)
)
; Main control function
(defun c:gaps ( / ss )
(or
(and
(setq ss (ssget))
(setq ss (checkss ss))
)
(setq ss (ssget "X"
'((-4 . "<OR")
(0 . "LINE")
(0 . "ARC")
(0 . "*POLYLINE")
(-4 . "OR>")
))
)
)
(markgaps ss)
(princ)
)



------------------
"Lisp?!?! Why the Hell did you pick the most arcane, obscure, and hopelessly-rooted-in-the-computer-science-department language in the world for an AutoCAD programming language?" Read the whole story: The Autodesk File ca. 890 Seiten | 7500 KB PDF

[Diese Nachricht wurde von Proxy am 08. Feb. 2005 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Kramer24
Ehrenmitglied V.I.P. h.c.
Architekt


Sehen Sie sich das Profil von Kramer24 an!   Senden Sie eine Private Message an Kramer24  Schreiben Sie einen Gästebucheintrag für Kramer24

Beiträge: 5789
Registriert: 09.11.2001

erstellt am: 08. Feb. 2005 20:40    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für CadTee 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von CadTee:
Gibt's unter ACAD die Möglichkeit eine Zeichnung auf
korrekte Linienverbindungen überprüfen zu lassen, bzw. dies zu korrigieren?


Ein automtisches Tool kenne ich nicht. Wenn nötig und möglich aus mehreren Linien eine Polylinie machen.
Aber am besten ist es von Anfang an genau zu zeichnen...
Zitat:

Gibt's da Toleranzeinstellungen mit denen ich das steuern könnte?Ich möchte einfach nur, dass Linienenden zusammenfallen,bzw. dass das Linienende genau auf der senkrecht verlaufenden Linie endet.


Kenn ich nicht. Aufgabe von allen CAD Programmen ist es, immer genau zu zeichnen.. Also: Objektfänge sinnvoll nutzen!

Grüße von Lothar

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CadTee
Mitglied



Sehen Sie sich das Profil von CadTee an!   Senden Sie eine Private Message an CadTee  Schreiben Sie einen Gästebucheintrag für CadTee

Beiträge: 13
Registriert: 08.12.2004

ACad 2004 ENG/ XP SP 1a
P4 (2,6 GHz), Onboard Intel Grafik

erstellt am: 08. Feb. 2005 21:49    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Man sollte sich doch auskurieren, wenn man krank ist, und diese Zeit nicht für die Arbeit nutzen.

Also, das Problem vervollständigt. Das sind keine Neuzeichnungen, sondern alte, nicht grade sehr sauber konstruierte. D.h., ich muss nun nachträglich, obwohl ich nur wenige Änderungen in der Zeichnung vornehme, auch dafür sorgen, dass sämtliche Schnittpunktfehler behoben werden. Das ist eine ekelhafte Arbeit.
Meine Frage ziehlt darauf hin, ob ich das irgendwie automatisieren kann, sprich, fehlerhaften "Schnittpunkt" finden und beheben! Es geht also um Beseitigung alter Konstruktionsfehler.
Hoffe, das Problem nun besser umschrieben zu haben.

Ich verstehe von Lisp Null, denke aber, dass Du Proxy, mit deinem Fuzzy-Lisp wohl das Schwarze getroffen hast. Wenn dieses Lisp-Tool die fehlerhaften Schnittpunkte aufspüren kann und sie mit einer flexiblen Toleranz (fuzzy) beseitigen kann, dann wär's das ja.

Liege ich da richtig Proxy?

Danke und Gruß

C.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Proxy
Ehrenmitglied
Stateless-DHCP v6-Paketfragmentierer


Sehen Sie sich das Profil von Proxy an!   Senden Sie eine Private Message an Proxy  Schreiben Sie einen Gästebucheintrag für Proxy

Beiträge: 1627
Registriert: 13.11.2003

Tastaturen, Mäuse,
Pladden, Monitore, ...

erstellt am: 09. Feb. 2005 08:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für CadTee 10 Unities + Antwort hilfreich

@CadTee: Allgemeingültig gesagt: ja.

------------------
"Lisp?!?! Why the Hell did you pick the most arcane, obscure, and hopelessly-rooted-in-the-computer-science-department language in the world for an AutoCAD programming language?"  Read the whole story: The Autodesk File ca. 890 Seiten | 7500 KB PDF

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

guru2005
Mitglied



Sehen Sie sich das Profil von guru2005 an!   Senden Sie eine Private Message an guru2005  Schreiben Sie einen Gästebucheintrag für guru2005

Beiträge: 10
Registriert: 08.02.2005

Autocad 2007,
nur 2D

erstellt am: 09. Feb. 2005 09:20    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für CadTee 10 Unities + Antwort hilfreich

Hallo,
Fasen mit Winkel 0, oder Abrunden mit Radius 0 ist auch immer ganz gut für evtl. nachträgliche Ausbesserungen.

Gruß aus München

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz